Bug 96998 - (USB ACM)module acm (USB modem) not loaded in kernel-2.4.20-18
Summary: (USB ACM)module acm (USB modem) not loaded in kernel-2.4.20-18
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-08 13:33 UTC by John Reiser
Modified: 2007-04-18 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2.4.20-18.7-dmesg.out (10.24 KB, text/plain)
2003-06-08 13:35 UTC, John Reiser
no flags Details
2.4.20-18.7-lsmod (1.29 KB, text/plain)
2003-06-08 13:37 UTC, John Reiser
no flags Details
2.4.20-18.7-lspci-vv (6.10 KB, text/plain)
2003-06-08 13:38 UTC, John Reiser
no flags Details
2.4.20-18.7-proc-bus-usb-devices (3.25 KB, text/plain)
2003-06-08 13:38 UTC, John Reiser
no flags Details
2.4.20-18.7-proc-interrupts (450 bytes, text/plain)
2003-06-08 13:39 UTC, John Reiser
no flags Details
2.4.18-27.7-dmesg.out (9.22 KB, text/plain)
2003-06-08 13:40 UTC, John Reiser
no flags Details
2.4.18-27.7-lsmod (1.11 KB, text/plain)
2003-06-08 13:40 UTC, John Reiser
no flags Details
2.4.18-27.7-lspci-vv (6.26 KB, text/plain)
2003-06-08 13:41 UTC, John Reiser
no flags Details
2.4.18-27.7-proc-bus-usb-devices (3.25 KB, text/plain)
2003-06-08 13:42 UTC, John Reiser
no flags Details
2.4.18-27.7-proc-interrupts (443 bytes, text/plain)
2003-06-08 13:42 UTC, John Reiser
no flags Details
2.4.20-8-dmesg.out (8.89 KB, text/plain)
2003-06-08 13:43 UTC, John Reiser
no flags Details
2.4.20-8-lsmod (1.45 KB, text/plain)
2003-06-08 13:44 UTC, John Reiser
no flags Details
2.4.20-8-lspci-vv (6.12 KB, text/plain)
2003-06-08 13:44 UTC, John Reiser
no flags Details
2.4.20-8-proc-bus-usb-devices (3.23 KB, text/plain)
2003-06-08 13:45 UTC, John Reiser
no flags Details
2.4.20-8-proc-interrupts (443 bytes, text/plain)
2003-06-08 13:46 UTC, John Reiser
no flags Details

Description John Reiser 2003-06-08 13:33:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
/usr/bin/minicom says "cannot open /dev/modem: No such device" under
kernel-2.4.20-7 (RHL7.3); it works under 2.4.18-27.7 (RHL7.3) and 2.4.20-8
(RHL9).  Here /dev/modem -> usb/ttyACM0 [or input/ttyACM0] and permissions are
0666 (allow everybody).  When it fails, then /sbin/lsmod shows that module acm
is missing, and an explicit load of module acm enables minicom to open the modem.

Intel 845 chipset, 5 USB hubs (2* usb-ohci, 2* usb-uhci, 1* ehci-hcd).

I will attach output from
   dmesg
   /proc/bus/usb/devices
   /proc/interrupts
   lspci -vv
for each kernel.

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.7

How reproducible:
Always

Steps to Reproduce:
1.boot.
2./usr/bin/minicom
3.
    

Actual Results:  minicom: cannot open /dev/modem: No such device


Expected Results:  [minicom opens modem with no complaint.]

Additional info:

There may be some relationship to bug 91041 or bug 92417.

Comment 1 John Reiser 2003-06-08 13:35:56 UTC
Created attachment 92247 [details]
2.4.20-18.7-dmesg.out

dmesg output

Comment 2 John Reiser 2003-06-08 13:37:41 UTC
Created attachment 92248 [details]
2.4.20-18.7-lsmod

/sbin/lsmod output

Comment 3 John Reiser 2003-06-08 13:38:18 UTC
Created attachment 92249 [details]
2.4.20-18.7-lspci-vv

lspci -vv output

Comment 4 John Reiser 2003-06-08 13:38:54 UTC
Created attachment 92250 [details]
2.4.20-18.7-proc-bus-usb-devices

cat /proc/bus/usb/devices

Comment 5 John Reiser 2003-06-08 13:39:28 UTC
Created attachment 92251 [details]
2.4.20-18.7-proc-interrupts

cat /proc/interrupts

Comment 6 John Reiser 2003-06-08 13:40:19 UTC
Created attachment 92252 [details]
2.4.18-27.7-dmesg.out

dmesg

Comment 7 John Reiser 2003-06-08 13:40:55 UTC
Created attachment 92253 [details]
2.4.18-27.7-lsmod

lsmod

Comment 8 John Reiser 2003-06-08 13:41:26 UTC
Created attachment 92254 [details]
2.4.18-27.7-lspci-vv

lspci -vv

Comment 9 John Reiser 2003-06-08 13:42:10 UTC
Created attachment 92255 [details]
2.4.18-27.7-proc-bus-usb-devices

cat /proc/bus/usb/devices

Comment 10 John Reiser 2003-06-08 13:42:51 UTC
Created attachment 92256 [details]
2.4.18-27.7-proc-interrupts

cat /proc/interrupts

Comment 11 John Reiser 2003-06-08 13:43:39 UTC
Created attachment 92257 [details]
2.4.20-8-dmesg.out

dmesg

Comment 12 John Reiser 2003-06-08 13:44:15 UTC
Created attachment 92258 [details]
2.4.20-8-lsmod

lsmod

Comment 13 John Reiser 2003-06-08 13:44:45 UTC
Created attachment 92259 [details]
2.4.20-8-lspci-vv

lspci -vv

Comment 14 John Reiser 2003-06-08 13:45:20 UTC
Created attachment 92260 [details]
2.4.20-8-proc-bus-usb-devices

cat /proc/bus/usb/devices

Comment 15 John Reiser 2003-06-08 13:46:02 UTC
Created attachment 92261 [details]
2.4.20-8-proc-interrupts

cat /proc/interrupts

Comment 16 Bugzilla owner 2004-09-30 15:41:04 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.